[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# get_caller_frame

Return the frame pointer of the caller

## Declaration

Source position: systemh.inc line 1406

`function get_caller_frame(`
`framebp: pointer;`
`addr: CodePointer = Nil`
`):pointer;`

## Description

get_caller_frame returns a pointer to the frame of the caller of the routine which has as frame framebp.

## See also

get_caller_addr |  | Return the address of the caller.
get_frame |  | Return the current frame
Dump_Stack |  | Dump stack to the given text file.